### Hierarchy

- StringUtil

## Index

### Methods

- allBetween
- between
- camelCase
- camelToKebabCase
- isJson
- kebabToCamelCase
- kebabToLowerCamelCase
- lowerCamelCase
- lowercaseFirst
- replaceAll
- uppercaseFirst

## Methods

### Static allBetween

- allBetween(str: string, prefix: string, suffix: string, stripDelimiters?: boolean): string[]

- - Defined in utils/string-util.ts:3

  #### Parameters

  - ##### str: string

  - ##### prefix: string

  - ##### suffix: string

  - ##### Default value stripDelimiters: boolean = true

  #### Returns string[]

### Static between

- between(str: string, prefix: string, suffix: string, ignoreCase?: boolean): string

- - Defined in utils/string-util.ts:15

  #### Parameters

  - ##### str: string

  - ##### prefix: string

  - ##### suffix: string

  - ##### Default value ignoreCase: boolean = false

  #### Returns string

### Static camelCase

- camelCase(str: any): any

- - Defined in utils/string-util.ts:40

  #### Parameters

  - ##### str: any

  #### Returns any

### Static camelToKebabCase

- camelToKebabCase(str: any): any

- - Defined in utils/string-util.ts:56

  #### Parameters

  - ##### str: any

  #### Returns any

### Static isJson

- isJson(str: any): boolean

- - Defined in utils/string-util.ts:68

  #### Parameters

  - ##### str: any

  #### Returns boolean

### Static kebabToCamelCase

- kebabToCamelCase(str: any): string

- - Defined in utils/string-util.ts:48

  #### Parameters

  - ##### str: any

  #### Returns string

### Static kebabToLowerCamelCase

- kebabToLowerCamelCase(str: any): string

- - Defined in utils/string-util.ts:52

  #### Parameters

  - ##### str: any

  #### Returns string

### Static lowerCamelCase

- lowerCamelCase(str: any): string

- - Defined in utils/string-util.ts:44

  #### Parameters

  - ##### str: any

  #### Returns string

### Static lowercaseFirst

- lowercaseFirst(str: string): string

- - Defined in utils/string-util.ts:77

  #### Parameters

  - ##### str: string

  #### Returns string

### Static replaceAll

- replaceAll(str: string, stringToReplace: string, replacement: string, ignoreCase?: boolean): string

- - Defined in utils/string-util.ts:85

  #### Parameters

  - ##### str: string

  - ##### stringToReplace: string

  - ##### replacement: string

  - ##### Default value ignoreCase: boolean = false

  #### Returns string

### Static uppercaseFirst

- uppercaseFirst(str: string): string

- - Defined in utils/string-util.ts:81

  #### Parameters

  - ##### str: string

  #### Returns string